
Foreman - Bug #28627

Object references instead of values in generated reports

01/03/2020 10:01 AM - Ondřej Pražák

Status: Closed   

Priority: Normal   

Assignee: Dominik Matoulek   

Category: Templates   

Target version:    

Difficulty:  Fixed in Releases: 2.1.0

Triaged: No Found in Releases:  

Bugzilla link: 1783031 Red Hat JIRA:  

Pull request: https://github.com/theforeman/communit

y-templates/pull/693

  

Description

Description of problem:

The HTML output format is returning the object itself not the value of the object for Host Collections and Products in Entitlement

report.

Subscriptions column in Registered hosts report is also affected.

Steps to Reproduce:

1. Go to monitor -> Report Templates -> Entitlements -> Generate

2. Select the Output format of HTML

3. Click submit and download the report

Actual results:

Host Collections:

#<Katello::HostCollection::ActiveRecord_Associations_CollectionProxy:0x0000000021043cd0>

Expected results: The value of the object.

Additional info: This occurs through the UI, CLI, and API.

Related issues:

Related to Katello - Bug #29271: Object references instead of values in gener... Closed

Associated revisions

Revision aa439a68 - 03/12/2020 08:05 AM - Dominik Matoulek

Fixes #28627 - update entitlements report, registered hosts report and Invertory template due to added macro

History

#1 - 01/03/2020 10:01 AM - Ondřej Pražák

- Subject changed from Object references instead of values in generated reports

 to Object references instead of values in generated reports

- Category changed from Statistics to Templates

#2 - 01/03/2020 11:22 AM - Marek Hulán

we need to be extra careful with this, even if the object would render to string, it would be kept in memory during rendering, so we should make sure

we only store generic types in report_row macro (e.g. calling .to_s or map { |o| o.name } is a good idea.

#3 - 02/24/2020 09:23 AM - Dominik Matoulek

- Assignee set to Dominik Matoulek

#4 - 02/26/2020 09:07 AM - The Foreman Bot

- Status changed from New to Ready For Testing

- Pull request https://github.com/theforeman/community-templates/pull/693 added
#5 - 03/10/2020 10:06 AM - Marek Hulán

- Pull request https://github.com/Katello/katello/pull/8586 added

#6 - 03/10/2020 11:59 AM - Tomer Brisker

- Pull request deleted (https://github.com/Katello/katello/pull/8586)

#7 - 03/10/2020 11:59 AM - Tomer Brisker

- Related to Bug #29271: Object references instead of values in generated reports added

#8 - 03/12/2020 08:05 AM - The Foreman Bot

- Fixed in Releases 2.1.0 added

#9 - 03/12/2020 09:01 AM - Dominik Matoulek

- Status changed from Ready For Testing to Closed

Applied in changeset community-templates|aa439a681f840030b995fd10db94cb0aec4fd934.
